> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アノテーションリストを取得

> **対象アプリ**：Chatflow、チャットボット、Agent。

アプリケーションのアノテーションをページネーションリストで取得します。キーワード検索によるフィルタリングをサポートしています。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /apps/annotations
openapi: 3.0.1
info:
  title: Dify サービス API
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: チャットメッセージ
    description: チャットメッセージとインタラクションに関連する操作です。
  - name: ファイル操作
    description: ファイルのアップロードとプレビューの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックの操作です。
  - name: 会話管理
    description: 会話管理に関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識の操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
  - name: アノテーション管理
    description: ダイレクト返信用のアノテーション管理に関連する操作です。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
  - name: ワークフロー実行
    description: ワークフローの実行と管理のための操作です。
  - name: 完了メッセージ
    description: テキスト生成に関連する操作です。
  - name: ナレッジベース
    description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
  - name: ドキュメント
    description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
  - name: チャンク
    description: ドキュメントチャンクと子チャンクの管理のための操作です。
  - name: メタデータ
    description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
  - name: タグ管理
    description: ナレッジベースタグとタグバインディングの管理のための操作です。
  - name: モデル
    description: 利用可能なモデルを取得するための操作です。
  - name: ナレッジパイプライン
    description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
paths:
  /apps/annotations:
    get:
      tags:
        - アノテーション管理
      summary: アノテーションリストを取得
      description: |-
        **対象アプリ**：Chatflow、チャットボット、Agent。

        アプリケーションのアノテーションをページネーションリストで取得します。キーワード検索によるフィルタリングをサポートしています。
      operationId: listChatAnnotationsJa
      parameters:
        - name: page
          in: query
          description: ページネーションのページ番号。
          required: false
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          description: 1 ページあたりの件数です。
          required: false
          schema:
            type: integer
            default: 20
        - name: keyword
          in: query
          description: 質問または回答の内容でアノテーションをフィルタリングするためのキーワードです。
          required: false
          schema:
            type: string
      responses:
        '200':
          description: アノテーションリストの取得に成功しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationListResponse'
              examples:
                annotationList:
                  summary: レスポンス例
                  value:
                    data:
                      - id: a1b2c3d4-5678-90ab-cdef-1234567890ab
                        question: What is Dify?
                        answer: >-
                          Dify is an open-source LLM application development
                          platform.
                        hit_count: 5
                        created_at: 1705407629
                    has_more: false
                    limit: 20
                    total: 1
                    page: 1
components:
  schemas:
    AnnotationListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AnnotationItem'
          description: 現在のページのアノテーション項目のリストです。
        has_more:
          type: boolean
          description: 現在の結果セットの後にさらにページがある場合は `true` です。
        limit:
          type: integer
          description: 1 ページあたりの件数です。
        total:
          type: integer
          description: クエリに一致するアノテーションの合計数です。
        page:
          type: integer
          description: 現在のページ番号です。
    AnnotationItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: アノテーションの一意識別子です。
        question:
          type: string
          nullable: true
          description: このアノテーションをトリガーする質問テキストです。
        answer:
          type: string
          nullable: true
          description: アノテーションがマッチした際に返される定義済みの回答です。
        hit_count:
          type: integer
          nullable: true
          description: このアノテーションがマッチして返信として返された回数です。
        created_at:
          type: integer
          format: int64
          nullable: true
          description: 作成タイムスタンプ（Unix エポック秒）。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**API Key が欠落または無効な場合、HTTP `401` とエラーコード
        `unauthorized` が返されます。

````